Bug 504473 - Review Request: rubygem-rubigen - A framework to allow Ruby applications to generate file/folder stubs
Review Request: rubygem-rubigen - A framework to allow Ruby applications to g...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 504476
  Show dependency treegraph
 
Reported: 2009-06-07 07:44 EDT by Lubomir Rintel
Modified: 2009-07-10 05:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-10 05:02:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2009-06-07 07:44:44 EDT
SPEC: http://v3.sk/~lkundrak/gdc-ruby-stack/SPECS/rubygem-rubigen.spec
SRPM: http://v3.sk/~lkundrak/gdc-ruby-stack/SRPMS/rubygem-rubigen-1.5.2-1.fc11.src.rpm

Description:

A framework to allow Ruby applications to generate file/folder stubs  (like
the "rails" command does for Ruby on Rails, and the 'script/generate' command
within a Rails application during development).
Comment 1 Lubomir Rintel 2009-06-07 08:01:39 EDT
rubygem-rubigen.noarch: W: hidden-file-or-dir /usr/lib/ruby/gems/1.8/gems/rubigen-1.5.2/.autotest

Upstream seems to use this, I prefer not to deviate from them.

rubygem-rubigen.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/rubigen-1.5.2/rubygems_generators/application_generator/templates/bin 0644

Template for script, ok to have a shebang, should not be executable.
Comment 4 Mamoru TASAKA 2009-06-27 13:00:34 EDT
Assigning.
Comment 5 Mamoru TASAKA 2009-06-28 15:11:20 EDT
Some notes for 1.5.2-3:

* License tag
  - As website/javascripts/rounded_corners_lite.inc.js is under
    LGPLv2+, license tag should be "MIT and LGPLv2+".

* Requires
  - rubygem(hoe) doesn't seem to be needed. Would you check this?

* Test
  - I think as this gem file contains test/ directory, it is preferable
    to add %check section and execute some tet program there
    (another gem seems needed, though)

By the way, I would appreciate it if you would review my
review requests (bug 508416 or bug 508417, both are rubygem related)
Comment 6 Lubomir Rintel 2009-07-08 12:21:31 EDT
(In reply to comment #5)
> Some notes for 1.5.2-3:
> 
> * License tag
>   - As website/javascripts/rounded_corners_lite.inc.js is under
>     LGPLv2+, license tag should be "MIT and LGPLv2+".

Fixed

> * Requires
>   - rubygem(hoe) doesn't seem to be needed. Would you check this?

Good Catch. It was needed merely for rebuild, which we don't do.

> * Test
>   - I think as this gem file contains test/ directory, it is preferable
>     to add %check section and execute some tet program there
>     (another gem seems needed, though)

I would prefer not running the test suite unless absolutely necessary. They seem use rather exotic and poorly-estabilished testing tool chain -- mocha for api mocking and shoulda for just having an extra dependency. I would be really happy if we didn't have to package these, and their dependency chain for Fedora now.

> By the way, I would appreciate it if you would review my
> review requests (bug 508416 or bug 508417, both are rubygem related)  

Of course, will do. Sorry for the long delay, I'm going to look into those right now.

SPEC: http://v3.sk/~lkundrak/gdc-ruby-stack/SPECS/rubygem-rubigen.spec
SRPM:
http://v3.sk/~lkundrak/gdc-ruby-stack/SRPMS/rubygem-rubigen-1.5.2-4.fc11.src.rpm
Comment 7 Mamoru TASAKA 2009-07-08 13:26:01 EDT
(In reply to comment #6)
> SRPM:
> http://v3.sk/~lkundrak/gdc-ruby-stack/SRPMS/rubygem-rubigen-1.5.2-4.fc11.src.rpm  

Seems 404...
Comment 8 Lubomir Rintel 2009-07-08 13:36:17 EDT
(In reply to comment #7)
> (In reply to comment #6)
> > SRPM:
> > http://v3.sk/~lkundrak/gdc-ruby-stack/SRPMS/rubygem-rubigen-1.5.2-4.fc11.src.rpm  
> 
> Seems 404...  

Whoops, sorry, I uploaded noarch package instead. Should be fixed now.
Comment 9 Mamoru TASAKA 2009-07-08 14:33:32 EDT
Okay.

--------------------------------------------------------
  This package (rubygem-rubigen) is APPROVED by mtasaka
--------------------------------------------------------
Comment 10 Lubomir Rintel 2009-07-09 04:16:27 EDT
New Package CVS Request
=======================
Package Name: rubygem-rubigen
Short Description: A framework to allow Ruby applications to generate file/folder stubs
Owners: lkundrak
Branches: F-11 EL-5
Comment 11 Jason Tibbitts 2009-07-09 23:37:34 EDT
CVS done.
Comment 12 Lubomir Rintel 2009-07-10 05:02:03 EDT
Thanks a lot, Mamoru (not being sure which part of a Japan name is a given name, to be used when referring to a person :)

Imported and built.

Note You need to log in before you can comment on or make changes to this bug.